Bug 1127654 - Tracker: Patternfly theme: various minor UI issues
Summary: Tracker: Patternfly theme: various minor UI issues
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: UI, Usability
Version: JON 3.3.0
Hardware: All
OS: All
unspecified
high
Target Milestone: GA
: JON 3.3.0
Assignee: Jirka Kremser
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 10:01 UTC by Jirka Kremser
Modified: 2014-12-11 14:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-11 14:01:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Jirka Kremser 2014-08-07 10:01:35 UTC
Description:

This BZ was created ex-post to track all the "no-name" patternfly commits that go to the release branch.

Comment 1 Jirka Kremser 2014-08-07 10:02:37 UTC
commits in master waiting for c-p:

c4eba02703bf7380728b50b5ac5355824a77eb75
fb8d00129c25f4c23e3d122b90e4ef3e6c4f5e31
c6555a30fc62ff787555f6701e8c7e5b29e8382d
bc1ea3a3e2ca20ecc3949278a7f0700538532d00
513268503fee76395e2ade9b13b91e563a45ae1e
1431face6b4dd140d1f7473db3dc5b9b1a42a865

Comment 2 Jirka Kremser 2014-08-07 10:12:19 UTC
cherry-picking (see the commit messages for the details about the changes):


branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/335906a05
time:    2014-08-07 12:08:46 +0200
commit:  335906a053b4e051e0ae453b71de44c690dcc047
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1127654] - Patternfly theme: various minor UI issues - fixing the
         relative paths to the images from patternfly-custom.css

         (cherry picked from commit
         1431face6b4dd140d1f7473db3dc5b9b1a42a865) Signed-off-by: Jirka
         Kremser <jkremser@redhat.com>

         Conflicts:
         modules/enterprise/gui/coregui/src/main/webapp/login
         


branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/4fa135f11
time:    2014-08-07 12:07:15 +0200
commit:  4fa135f1176c513e814916045f4e398fe466151f
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1127654] - Patternfly theme: various minor UI issues - invisible
         scrollbars are not invisible anymore, font color

         (cherry picked from commit
         513268503fee76395e2ade9b13b91e563a45ae1e) Signed-off-by: Jirka
         Kremser <jkremser@redhat.com>
         


branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/2957fefa3
time:    2014-08-07 12:06:40 +0200
commit:  2957fefa3c11eeefc57243d3a918394f303b271d
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1127654] - Patternfly theme: various minor UI issues - better icons
         for storage node, plugin and refresh

         (cherry picked from commit
         bc1ea3a3e2ca20ecc3949278a7f0700538532d00) Signed-off-by: Jirka
         Kremser <jkremser@redhat.com>
         


branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/bf3a060ce
time:    2014-08-07 12:06:09 +0200
commit:  bf3a060ce7241f85254aa8bce6b82c3a416f359a
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1127654] - Patternfly theme: various minor UI issues - lightening
         all the black icons

         (cherry picked from commit
         c6555a30fc62ff787555f6701e8c7e5b29e8382d) Signed-off-by: Jirka
         Kremser <jkremser@redhat.com>



branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/0a06932fb
time:    2014-08-07 12:05:33 +0200
commit:  0a06932fb1e67643b63a42e14a52271ebdff1140
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1127654] - Patternfly theme: various minor UI issues - simple bash
         script for lightening all the black icons

         (cherry picked from commit
         fb8d00129c25f4c23e3d122b90e4ef3e6c4f5e31) Signed-off-by: Jirka
         Kremser <jkremser@redhat.com>
         


branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/9bb9c186e
time:    2014-08-07 12:04:38 +0200
commit:  9bb9c186efb073de1acff94441b4f21a7077d240
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1127654] - Patternfly theme: various minor UI issues - fixing typo
         in image name (_over -> _Over); increasing the size of icons
         for availability; decreasing the size of icons for event
         severities; removing unused images

         (cherry picked from commit
         c4eba02703bf7380728b50b5ac5355824a77eb75) Signed-off-by: Jirka
         Kremser <jkremser@redhat.com>

Comment 3 Jirka Kremser 2014-08-08 15:25:14 UTC
window header icons, pencil icon, bigger shadows for dialogs, mouse cursor for header icons, adding "_Disabled" versions for header icons

branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/d40b60a68
time:    2014-08-08 17:23:22 +0200
commit:  d40b60a680e31fac3776879a15935586d03030cf
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1127654] - Patternfly theme: various minor UI issues - window header
         icons, better icon for pencil (edit), fixing mouse cursor for
         header icons

         (cherry picked from commit
         98d63c2d7d8190ca4849f31c27bb98ec0ae0a4b7) Signed-off-by: Jirka
         Kremser <jkremser@redhat.com>

         Conflicts:
         modules/enterprise/gui/coregui/src/main/webapp/org.rhq.coregui.CoreGUI/sc/skins/CoreGUI/skin_styles.css
         


branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/eeaad79ac
time:    2014-08-08 17:23:22 +0200
commit:  eeaad79aca7f7dc07b96993e9ed2362d26fdd8c0
author:  Alan Santos - alan@poke53281.com
message: [1127654] - Patternfly theme: various minor UI issues - Replacing Header
         Icons and fix spacing (kudos to asantos)

         (cherry picked from commit
         1b695d390fa41ce3d4a2ad1506121468a70488e1) Signed-off-by: Jirka
         Kremser <jkremser@redhat.com>
         (cherry picked from commit
         fdbe00f31d6f908246752e8a9854236f766e2425) Signed-off-by: Jirka
         Kremser <jkremser@redhat.com>

Comment 4 Jirka Kremser 2014-08-21 14:20:39 UTC
c025874d4 in master cherry-picked to:

branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/99983b5c0
time:    2014-08-21 16:19:47 +0200
commit:  99983b5c097b2cbeeecd19a5bbf9080c1f179a04
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1127654] - Patternfly theme: various minor UI issues - The height of
         popups for assigning a server or agent into affinity group was
         enormous.

         (cherry picked from commit
         c025874d42e1687660b6357c0196d1930064e57f) Signed-off-by: Jirka
         Kremser <jkremser@redhat.com>

Comment 7 Simeon Pinder 2014-11-14 04:48:18 UTC
Moving to ON_QA as available for test with build:
https://brewweb.devel.redhat.com//buildinfo?buildID=398756


Note You need to log in before you can comment on or make changes to this bug.